GDB (xrefs)

Public Member Functions | List of all members
gdb.command.explore.ExploreTypeCommand Class Reference
Inheritance diagram for gdb.command.explore.ExploreTypeCommand:

## Public Member Functions
def | __init__ (self)
def | invoke (self, arg_str, from_tty)
def | __init__ (self)
def | invoke (self, arg_str, from_tty)

## Detailed Description

    Explore a type or the type of an expression valid in the current
       context.

       Usage:

         explore type ARG

         - ARG is a valid expression or a type name.
         - At any stage of exploration, hit the return key (instead of a
           choice, if any) to return to the enclosing type.

Definition at line 720 of file explore.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.explore.ExploreTypeCommand.__init__ | ( |  | self | ) |

Definition at line 733 of file explore.py.

Referenced by gdb.command.explore.ExploreTypeCommand.__init__().

## ◆ __init__() [2/2]

def gdb.command.explore.ExploreTypeCommand.__init__ | ( |  | self | ) |

Definition at line 733 of file explore.py.

References gdb.command.explore.ExploreTypeCommand.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.command.explore.ExploreTypeCommand.invoke | ( |  | self,
|  |  | arg_str,
|  |  | from_tty
| ) |  |

Definition at line 737 of file explore.py.

Referenced by gdb.command.explore.ExploreTypeCommand.invoke().

## ◆ invoke() [2/2]

def gdb.command.explore.ExploreTypeCommand.invoke | ( |  | self,
|  |  | arg_str,
|  |  | from_tty
| ) |  |

Definition at line 737 of file explore.py.

References gdb.command.explore.ExploreTypeCommand.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/explore.py